#include <stdio.h>
#include <string.h>
#include <wikisabl.h>

static void strtorl(char *mut,char *nbsp);


void norefki(char *m,FILE *fp)
{	// Kiirja a kapott szoveget ref-ek es kommentek nelkul.
struct eredmstr eredm;
static const char *kezdo[] = { "<ref", "<!--" }, *zaro[] = { "</ref>", "-->" };

if(fp == NULL)
	fp = stdout;
while(m != NULL && *m && tobbstr(m,sizeof(kezdo)/sizeof(char *),kezdo,&eredm) >= 0 )
	{
	if(eredm.kcim > m)	// kiirjuk a ref elottit
		fwrite(m,eredm.kcim-m,1,fp);
	m = strstr(m,zaro[eredm.srsz]);
	if(m != NULL)
		m += strlen(zaro[eredm.srsz]);
	}
if(m != NULL)
	fprintf(fp,m);
}


void nolink(char *mut)
{
while(*mut)
	{
	if(*mut == '[' || *mut == ']')
		memmove(mut,mut+1,strlen(mut));
	else mut++;
	}
}



static void strtorl(char *mut,char *nbsp)
{	// A kapott stringet helykozokkel helyettesíti
int nbsphossz;

nbsphossz = strlen(nbsp+1);	// &-et helykozzel helyettesitjuk
while( (mut = strstr(mut,nbsp)) != NULL)
	{
	*mut++ = ' ';
	memmove(mut,mut+nbsphossz,strlen(mut)-nbsphossz+1);
	}
}



void nonbsp(char *mut)
{	// &nbsp;-ket es &ensp;-ket helykozokkel helyettesíti
strtorl(mut,"&nbsp;");
strtorl(mut,"&ensp;");
}


int parkeres(const char *parnev,int parszam,struct paramstr *sabltomb)
{	// megkeresi a sablon egyik parameteret
int par;

for(par=0; par < parszam; par++)
	if(!strcmp(parnev,sabltomb[par].parnev))
		return par;
return -1;
}
