#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <libgyim.h>
#include <wikisabl.h>
#include "wikikotta.h"

char *szoveg;		// a teljes szoveg kezdocime
int infobox = 0;	// hangyadik infobox, 1-tol

/* Parameterek
-d:	debug szint. 1-9: dalfv hasznalja.
	az input file neve

Kimenet:
	dalbox1.txt, dalbox2.txt...: az infoboxok tartalma a szocikkben
	stdout: az infoboxok szama
A txtfile-ok alakja: <infobox parameternev> = <parameter ertek>
	A ref-eket es html kommenteket leszedi az ertekrol, a linkeket nem.
	A parameternevek kanonikus alakban vannak: az elso betujuk nagy, helykoz helyett _ van.
*/


int main(int argc, char *argv[])
{
char *txt;
static const char kapcs[] = "d:";
int c, debug = 0;

while( (c=getopt(argc,argv,kapcs)) >= 0)
        {
        switch(c)
                {
                case 'd': if(!isdigit(*optarg))
				fprintf(stdout,"Hibas parameter-ertek: %s\n",optarg);
			else	{
				sscanf(optarg,"%d",&debug);
				sabldebug(debug);
				}
                        break;
		default: fprintf(stderr,"Hibas kapcsolo: %c\n",c);
			break;
                }
        }
szoveg = txt = filemem(optind < argc? argv[optind]: NULL);
while( (txt=sablon(txt)) != NULL)
	;
printf("%d\n",infobox);
return !infobox;
}
